<template>
  <div>
    <template v-if="Array.isArray(this.item)">
      <button @click="this.opened = !this.opened" :class="item.length>0?'withPadding':''">
        <img v-if="item.length>0" :class="this.opened?'opened':''" src="@/assets/agreements/chevron-up.svg" alt="">
        {{item_key}}
      </button>
      <div class="childs" v-if="this.opened && item.length>0">
        <ClientRecursion v-for="(child_item, item_key) in item" v-bind:key="child_item" :item="child_item" :item_key="item_key"></ClientRecursion>
      </div>
    </template>
    <template v-else-if="this.item instanceof Object">
      <button @click="this.opened = !this.opened" :class="Object.keys(item).length>0?'withPadding':''">
        <img v-if="Object.keys(item).length>0" :class="this.opened?'opened':''" src="@/assets/agreements/chevron-up.svg" alt="">
        {{item_key}}
      </button>
      <div class="childs" v-if="this.opened && Object.keys(item).length>0">
        <ClientRecursion v-for="(child_item, item_key) in item" v-bind:key="child_item" :item="child_item" :item_key="item_key"></ClientRecursion>
      </div>
    </template>
    <template v-else>
      <button>
        {{item_key}}: {{ item }}
      </button>
    </template>
  </div>
</template>

<script>
import ClientRecursion from "@/views/cabinet-components/clients-components/ClientRecursion";

export default {
  components:{
    ClientRecursion
  },
  props:{
    item:[Object, Array, String, Number],
    item_key:[String, Number],
  },
  data:()=>({
    opened:false
  })
}
</script>